#!/bin/bash

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
OUTPUT_DIR="$2"
CFG_FILE="$3"

function install() {
	cp $SCRIPT_DIR/Help		$OUTPUT_DIR/Help		-R
	cp $SCRIPT_DIR/System	$OUTPUT_DIR/System		-R
	cp $SCRIPT_DIR/Textures $OUTPUT_DIR/Textures	-R
}

function enable() {
	 crudini --set $OUTPUT_DIR/System/$CFG_FILE 'Engine.GameEngine' ServerPackages 
}

function disable() {
}

function show_help() {
	echo
	echo "Usage: $0 { install | enable | disable } <UT99_INSTALL_DIR>"
	echo
}

### Check if a directory does not exist ###
if [ ! -d $OUTPUT_DIR ] 
then
	echo "incorrect <UT99_INSTALL_DIR>"
	show_help
	exit 9999 # die with error code 9999
fi

case "$1" in
	'install')
			install
			;;
	'enable')
			disable
			enable
			;;
	'disable')
			disable
			;;
	*)
			show_help
			exit 1
			;;
esac

exit 0